Name: MAKEDEV
Version: 3.3.1
Release: alt13
%define revision 3

Summary: A program used for creating the device files in /dev
Group: System/Kernel and hardware
License: GPL

Source: %name-%version-%revision.tar.bz2
Patch: %name-3.3.1-alt.patch.bz2
Patch1: %name-3.3.1-alsa-alt.patch
Patch2: %name-3.3.1-dvb-alt.patch

Requires: dev = %version-%release

BuildPreReq: rpm >= 0:4.0.3-alt1

%description
This package contains the %name script, which makes it easier to create
and maintain the files in the /dev directory.  /dev directory files
correspond to a particular device supported by Linux (serial or printer
ports, scanners, sound cards, tape drives, CD-ROM drives, hard drives,
etc.) and interface with the drivers in the kernel.

You should install the %name package because the %name utility makes
it easy to manage the /dev directory device files.

%package -n dev
Group: System/Kernel and hardware
Summary: The most commonly-used entries in the /dev directory
PreReq: sh, grep, mktemp, sed, setup >= 2.1.9-ipl15mdk, coreutils
AutoReqProv: no

%description -n dev
The  operating system uses file system entries to represent
devices (CD-ROMs, floppy drives, etc.) attached to the machine. All of
these entries are in the /dev tree (although they don't have to be).
This package contains the most commonly used /dev entries.

The dev package is a basic part of your operating system and it needs
to be installed.

%prep
%setup -q
%patch -p1
%patch1 -p0
%patch2 -p0
%__perl -pi -e 's/-g -Wall/%optflags/;s/install /\$(INSTALL) /g' Makefile
find -type f -name \*.orig -print0 |xargs -r0 %__rm -vf

%build
%__make

%install
makedev() {
	# Note that we need RPM 4.0.3-0.71 or higher for this to be of any use,
	# but otherwise we could screw up ownerships if the destination account
	# doesn't exist when we run MAKEDEV.
	$RPM_BUILD_ROOT/dev/MAKEDEV \
	-c $RPM_BUILD_ROOT%{_sysconfdir}/makedev.d \
	-d $RPM_BUILD_ROOT/dev -M $@ | sed "s|$RPM_BUILD_ROOT||g" >> manifest
}

rm -f manifest

%makeinstall devdir=$RPM_BUILD_ROOT/dev
mkdir -p $RPM_BUILD_ROOT/sbin
mv -f $RPM_BUILD_ROOT/dev/MAKEDEV $RPM_BUILD_ROOT/sbin
ln -s ../sbin/MAKEDEV $RPM_BUILD_ROOT/dev/MAKEDEV

makedev adb -m 56
makedev agpgart
makedev alsa
makedev ataraid
makedev apm_bios
makedev audioctl
makedev beep
makedev capi20
makedev cdrom
makedev cfs
makedev compaq
makedev console -m 32
makedev cpu
makedev cua -m 4
makedev cui -m 16
makedev dasd
makedev dac960
makedev dri
makedev dvb
makedev dv1394r
makedev dv1394w
makedev efirtc
makedev em8300
makedev enskip
makedev fujitsu/apanel
makedev fb
makedev fd
makedev fd0
makedev fd1
makedev ftape
makedev ht -m 2
makedev i2c -m 2
makedev i2o
makedev ibcs
makedev ida
makedev ide -m 33
makedev initrd
makedev input -m 32
makedev ip -m 16
makedev ipfilter -m 16
makedev ir
makedev iscc -m 2
makedev isdn -m 16
makedev ixj
makedev kbd
makedev js -m 4
makedev kpoll
makedev lirc
makedev log -m 1
makedev loop -m 32
makedev lp -m 8
makedev mandrake
makedev mbuf
makedev md
makedev microcode
makedev mouse
makedev nb -m 32
makedev net/tun
makedev netlink
makedev nht -m 2
makedev nst -m 16
makedev openprom
makedev osst -m 4
makedev nvidia
makedev par -m 8
makedev pcd -m 4
makedev pd
makedev pf -m 4
makedev pg -m 4
makedev pktcdvd -m 4
makedev ppp -m 4
makedev pt
makedev ptmx
makedev pty
makedev qng
makedev raid
makedev ram -m 20
makedev random
makedev raw
makedev rd
makedev rmt
makedev rtc
makedev rtf -m 64
makedev rtsock -m 6
makedev scd -m 8
makedev scramdisk -m 16
makedev sd
makedev sg -m 32
makedev shm
makedev slamr -m 4
makedev smpt
makedev sound
makedev sr -m 8
makedev st -m 16
makedev staliomem -m 4
makedev std
makedev systty
makedev tlk
makedev toshiba
makedev thinkpad
makedev tty -m 32
makedev urandom
makedev usb -m 32
makedev v4l -m 4
makedev vcs
makedev video1394
makedev vmmon
makedev vnet -m 4
makedev winradio -m 4
makedev xda
makedev xdb
makedev vhci
makedev rfcomm
makedev nvram
makedev rtf -m 16
# makedev xpram

# sort -u manifest >%name.list
# Skip /dev/log for the sake of upgrades to really old dev packages.
grep -v '/dev/log$' manifest | sort -u > %name.list

# Make subdirectories we otherwise would have nothing to do with.
%__install -d -m755 $RPM_BUILD_ROOT/dev/{pts,shm}

%pre -n dev
if [ -L /dev/snd ]; then
    rm -f /dev/snd
fi
if [ -r /proc/mounts ]; then
	(while read source mountpoint rest ; do
		[ "$mountpoint" != /dev ] || exit 1
	 done
	 exit 0 ) < /proc/mounts ||
    {
	echo "Cannot install the %{name} package: mounted devfs detected."
	exit 1
    }
fi
if [ -d /dev/video ]; then
	%__rm -rf /dev/video
fi

%post -n dev
if [ -f %_sysconfdir/fstab ]; then
	# Add /dev/pts to fstab if fstab exists (install2 does it during install).
	if %__grep -F -qs devpts %_sysconfdir/fstab; then
		if %__grep -qs 'devpts.*mode=0622' /etc/fstab; then
			# Correct permissions from broken dev packages.
			TMP=$(mktemp /tmp/fstab.XXXXXX) &&
			%__sed -e 's/devpts.*mode=0622/devpts	gid=5,mode=0620/' <%_sysconfdir/fstab >"$TMP" &&
				%__cat "$TMP" >%_sysconfdir/fstab ||
				echo "failed to correct devpts permissions in %_sysconfdir/fstab" 1>&2
			%__rm -f "$TMP"
		fi
	else
		echo 'devpts		/dev/pts		devpts	gid=5,mode=0620	0 0' >>%_sysconfdir/fstab
	fi
fi
PCA=/sbin/pam_console_apply
[ -x "$PCA" ] && "$PCA" ||:

%files
/dev/MAKEDEV
/sbin/*
%_sbindir/*
%_mandir/man?/*
%config(noreplace) %_sysconfdir/makedev.d/*
%doc devices.txt

%files -n dev -f %name.list
%dir /dev
%ghost /dev/log
%dir /dev/pts
%dir /dev/shm

%changelog
* Mon Jul 26 2004 Kachalov Anton <mouse@altlinux.ru> 3.3.1-alt13
- added /dev/sr* (#4870)
- added /dev/fujitsu/apanel (#4778)

* Tue Jun 29 2004 Kachalov Anton <mouse@altlinux.ru> 3.3.1-alt12
- added /dev/dv1394(r,w) (#3965)
- added /dev/toshiba (#3664)
- added /dev/thinkpad/thinkpad (#4224)

* Fri Jan 23 2004 Kachalov Anton <mouse@altlinux.ru> 3.3.1-alt11
- added /dev/slamr*, ttySL0 now is link to /dev/slamr0
- added /dev/rtf*, /dev/rtsock*, /dev/mbuff
- added /dev/dvb/* for DVB devices (#3469)

* Wed Dec 10 2003 Kachalov Anton <mouse@altlinux.ru> 3.3.1-alt10
- added /dev/pctINT (Intel modem)

* Sun Nov 02 2003 Kachalov Anton <mouse@altlinux.ru> 3.3.1-alt9
- added /dev/pktcdvd* (#3225)

* Thu Sep 25 2003 Kachalov Anton <mouse@altlinux.ru> 3.3.1-alt8
- removed /dev/video directory

* Thu Sep 11 2003 Kachalov Anton <mouse@altlinux.ru> 3.3.1-alt7
- added /dev/nvram
- added /dev/ttyLT0 (#2899)

* Mon Jul 28 2003 Kachalov Anton <mouse@altlinux.ru> 3.3.1-alt6
- Added /dev/snd/* for new ALSA

* Tue Jul 08 2003 Kachalov Anton <mouse@altlinux.ru> 3.3.1-alt5
- Added device for PCTEL modem

* Wed Jun 25 2003 Kachalov Anton <mouse@altlinux.ru> 3.3.1-alt4
- Updated EM8300 devices
- Added aloadC* symlinks for aload* (#0002297)

* Thu Mar 27 2003 Kachalov Anton <mouse@altlinux.ru> 3.3.1-alt3
- Added bluetooth devices

* Mon Jan 20 2003 Konstantin Volckov <goldhead@altlinux.ru> 3.3.1-alt2
- Added slmdm device

* Thu Nov 21 2002 Kachalov Anton <mouse@altlinux.ru> 3.3.1-alt1
- 3.3.1
- include the /dev/iseries devices on ppc64
- build nosst devices (#72914)
- build the tunnelling device (/dev/net/tun)
- add configuration for libraw1394 (#67203)
- build 32 scsi generic devices
- add cfs device used by coda
- resync with current LANANA updates, remove ibcs config file
- resync with usb device list
- create kpoll and 16 scramdisk devices
- handle a step of 0 when creating multiple nodes
- add /dev/cpu/*/microcode (perms 0600) to the dev package
- up the limit on ide devices (hda through hdt) back up from 17 to 33
- actually create the vsys device

* Mon Apr 08 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.2-alt3
- Added pam_console_apply call to %%post.

* Mon Jan 21 2002 Konstantin Volckov <goldhead@altlinux.ru> 3.2-alt2
- Moved em8300 devices from /dev/video/ to /dev/.
- Resurrected /dev/video symlink to /dev/video0.
- Added /dev/lirc device.

* Wed Jan 16 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.2-alt1
- Upgraded to 3.2-6 (added a lot of new devices).
- Moved MAKEDEV to /sbin (symlink kept for compatibility).
- Enable unprivileged packaging!

* Thu Nov  8 2001 Grigory Milev <week@altlinux.ru> 3.2-5-alt1
- New version released

* Tue Jan 23 2001 Dmitry V. Levin <ldv@fandra.org> 3.0.6-ipl5mdk
- Fixed defattr for dev subpackage.
- Upgraded to -8 release of RH.
- Added more devices.

* Tue Dec 26 2000 Dmitry V. Levin <ldv@fandra.org> 3.0.6-ipl4mdk
- RE adaptions.
- Added ibcs devices.

* Tue Nov 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.6-4mdk
- Put config files as noreplace.

* Wed Nov 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.6-3mdk
- Add toshiba devices.
- Upgrade to -7 release of rh.

* Wed Sep 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.6-2mdk
- Make pg* as cdwriter group (thanks till).

* Wed Aug 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.6-1mdk
- add an rm -f $TMP in %%post (pixel).
- Correct alsa link.
- Merge with RH 3.0.6

* Mon Jul 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.2-5mdk
- Correct usbmouse link to input/mouse0.

* Wed Jul 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.2-4mdk
- Create ppp devices.

* Tue Jul 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.2-3mdk
- Don't remove isdnctl (remove it from the isdn package instead).
- Correct micrcode in the right way (titi sucks).

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.2-2mdk
- remove RH microcode entry and reput the entires i add to dev before
  lord chmoue destroy it : cpu/{mircrocode,?/{cpuid,msr} for 2cpuid,msr} for
  2.4.x
- remove also conflicting /dev/isdnctrl

* Mon Jul 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.2-1mdk
- Mandrake adaptation of the new dev system.
- Merge dev system of Red Hat.
- Merge MAKEDEV and dev package.

